Reglamento general de los foros   •   FAQ   •   Buscar en el foro •  Registrarse | Iniciar sesión 



Portada » Foros Linux » Filosofía y conocimiento » Documentación


Nuevo tema Responder al tema
 [ 23 mensajes ]  Ir a página 1, 2  Siguiente
Patrocinadores

Autor
Buscar:
Mensaje

Desconectado
Forista Legendario
Forista Legendario
Avatar de Usuario

Registrado: Vie Abr 27, 2007 7:00 am
Mensajes: 1905

Nota Publicado: Sab Jul 03, 2010 6:26 am 
Arriba  
El tema es que hace poco leí que apareció una nueva versión de gnash y que además ya trae aceleración por hardware, y eso significa que por fin puede reproducir videos a pantalla completa y de forma decente.
Yo intente instalarlo de los repos de arch pero el problema es solo estaba disponible gnash pero con interfaz gtk y las cajas de flashplayer se dibujaban mal en konqueror y no se veían bien. Así que bueno, pasaron unos días hasta que me decidí instalarlo a mano, después de buscar bastante descubrí las opciones óptimas para que funcione bien en kde, y sorpresa, funciono a la primera!
Simplemente copiamos este script:

Código:
gnash_version='0.8.8'
gnash_folder="gnash-$gnash_version"
gnash_tar_bz2="$gnash_folder.tar.bz2"

# Comprobamos si esta la carpeta con el codigo fuente.
if [ ! -d "$gnash_folder" ];then
    # Comprobamos si esta el archivo con el codigo fuente.
    if [ ! -f "$gnash_tar_bz2" ];then
        # Descargamos del sitio official de gnash.
        wget --retry-connrefused -c ftp://ftp.gnu.org/pub/gnu/gnash/$gnash_version/$gnash_tar_bz2

        if [ $? != '0' ];then
            exit 1
        fi
    fi

    # Descomprimimos.
    tar -jxvf $gnash_tar_bz2

    if [ $? != '0' ];then
        exit 2
    fi
fi

# Nos cambiamos al directorio de gnash.
cd $gnash_folder

# Configuramos la instalacion segun nuestro escritorio(mejor look&feel).
if [ "$(pidof ksmserver)" ]; then # Si es kde.
    ./configure --prefix=/usr --with-plugindir=$HOME/.mozilla/plugins --enable-gui=qt4 --enable-renderer=opengl
else # Si es gnome u otro.
    ./configure --prefix=/usr --with-plugindir=$HOME/.mozilla/plugins --enable-gui=gtk --enable-renderer=agg
fi

if [ $? != '0' ];then
    exit 3
fi

# Compilamos.
make

if [ $? != '0' ];then
    exit 4
fi

# Instalamos el runtime.
sudo make install
# Instalamos los plugins.
sudo make install-plugins
# Limpiamos el directorio de compilacion.
make clean


Off topic:
Todavía le estoy haciendo algunas modificaciones al script, así que es muy probable que haya algún cambio con respecto a anteriores visitas.

Damos permisos de ejecución y ejecutamos:

Código:
chmod u=rwx,g=rw,o=r ./instalar.sh
./instalar.sh


Una vez que echen a correr el script, saquen a pasear al perro, vayan de compras al supermercado, vayan al cine con sus novi@s, etc., porque gnash tarda aproximadamente de 2 a 3 horas en compilar y asegurense de tener al menos 1GB de espacio libre en la partición donde hacen la compilación, si, se lo que están pensando, no es broma :s
En el caso de konqueror, hay problemas con las cookies de youtube y no se puede reproducir ningún video, para solucionarlo, ejecutamos sweeper marcamos todas las casillas excepto las de borrar "Políticas de cookies", luego en konqueror, vamos a Preferencias->Configurar Konqueror->Cookies->Política del sitio->Nuevo, y escribimos:

Nombre del dominio: http://www.youtube.com
Política: Rechazar

Aceptamos y listo, ya podemos ver videos de youtube a pantalla completa usando el plugin libre con nuestro navegador favorito.
Hasta ahora una de las pocas paginas que se me han resistido a funcionar es la del cartoonnetwork, y en general todas las paginas que abusan del flashplayer, pero en general el funcionamiento a sido bueno.

Antes

Imagen

Después

Imagen

Fuentes:

http://putolinux.wordpress.com/2010/06/ ... 5-0-lenny/
http://www.gnulinuxlibre.net/2010/06/09 ... r-cookies/
http://wiki.gnashdev.org/YouTube

_________________
Desarrollo en Qt: Qt Developer Network
Mis proyectos: github | SourceForge.net


Última edición por hipersayan_x el Dom Sep 05, 2010 1:53 am, editado 8 veces en total
 Perfil WWW  

Desconectado
Forista Ancestral
Forista Ancestral
Avatar de Usuario

Registrado: Mié Ago 09, 2006 7:00 am
Mensajes: 4532
Ubicación: Táchira - Venezuela

Nota Publicado: Sab Jul 03, 2010 10:09 am 
Arriba  
2 a 3 horas? o.0 se que dura su rato compilando pero no tanto por otro lado, aun sigue consumiendo muchos recursos al usar gnash o? porque desde siempre que lo he usado a sido asi. de todas formas voy a intentar y vuelvo a escribir, saludos

_________________
Linux User #432922 ~ Linux Machine #390497
Gentoo 13.0 | ~amd64 | i3 improved | Github | dotfiles | Identi.ca | Twitter
irc.freenode.net | /join #gnu/linuxOS

 Perfil  

Desconectado
Forista Legendario
Forista Legendario
Avatar de Usuario

Registrado: Vie Abr 27, 2007 7:00 am
Mensajes: 1905

Nota Publicado: Sab Jul 03, 2010 4:07 pm 
Arriba  
En serio, el archivo comprimido con las fuentes pesa <5MB, pero cuando lo compilas dura mas o menos ese tiempo y te consume mas o menos 1G de espacio de compilacion, no se cuanto de instalacion, porque no medi el antes y el despues :s
En un Pentium dual core 2.2GHz, 2GB DDR3, kde4-gnash y reproduciendo el mismo video, estos son los datos:

CPU=40%
RAM=22MB

A mi por lo menos no se me traba la maquina, incluso con paginas llenas de flash, habria que probar cuanto consume flashplayer para comparar.

_________________
Desarrollo en Qt: Qt Developer Network
Mis proyectos: github | SourceForge.net

 Perfil WWW  

Desconectado
Forista Ancestral
Forista Ancestral
Avatar de Usuario

Registrado: Mié Ago 09, 2006 7:00 am
Mensajes: 4532
Ubicación: Táchira - Venezuela

Nota Publicado: Dom Jul 04, 2010 4:03 am 
Arriba  
el tiempo de compilacion de la version de desarrollo de gnash duro 58 minutos, pero no me funciono ni borrando todo el historial del navegador, en cambio la version estable duro compilando 28 minutos y si funciona bien con youtube pero consume demasiado cpu, intente reproducir videos de otras web y se ven igual que el primer screenshot que has puesto en este post, por lo menos ya funciona un poco pero el unico detalle es el consumo de recursos

_________________
Linux User #432922 ~ Linux Machine #390497
Gentoo 13.0 | ~amd64 | i3 improved | Github | dotfiles | Identi.ca | Twitter
irc.freenode.net | /join #gnu/linuxOS

 Perfil  

Desconectado
Forista Legendario
Forista Legendario
Avatar de Usuario

Registrado: Vie Abr 27, 2007 7:00 am
Mensajes: 1905

Nota Publicado: Dom Jul 04, 2010 6:21 am 
Arriba  
johpunk escribió:
el tiempo de compilacion de la version de desarrollo de gnash duro 58 minutos, pero no me funciono ni borrando todo el historial del navegador, en cambio la version estable duro compilando 28 minutos


Puede ser, creo que exagere un poco :P , es que no medí el tiempo, me pareció eterno.
La de 28mins es la 0.8.7, la oficial, no?

johpunk escribió:
y si funciona bien con youtube pero consume demasiado cpu, intente reproducir videos de otras web y se ven igual que el primer screenshot que has puesto en este post, por lo menos ya funciona un poco pero el unico detalle es el consumo de recursos


Podes pasar un enlace a uno de esos videos?, para ver si tengo el mismo problema. Ami me paso eso con gnash-gtk + konqueror

Editado -- Dom Jul 04, 2010 1:21 am --

Estas son todas las opciones de configuracion, por ahi tweakiandolo un poco se soluciona

Optional Features:
--disable-option-checking ignore unrecognized --enable/--with options
--disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
--enable-FEATURE[=ARG] include FEATURE [ARG=yes]
--disable-dependency-tracking speeds up one-time build
--enable-dependency-tracking do not reject slow dependency extractors
--enable-maintainer-mode enable make rules and dependencies not useful
(and sometimes confusing) to the casual installer
--disable-nls do not use Native Language Support
--disable-rpath do not hardcode runtime library paths
--enable-avm2 Enable support for AS3
--enable-python Enable python for the python wrapper
--enable-jemalloc Enable jemalloc instead of system malloc
--enable-debugger Enable the Flash debugger
--enable-fps-debug Enable FPS debugging code
--enable-allstatic Enable using static libraries when possible for
dependencies
--disable-menus Disable the GUI menus
--disable-swftree Disable showing SWF properties
--disable-testsuite Disable the testsuite, maintainers option only
--enable-write Makes the Mozilla plugin write the currently playing
SWF movie to /tmp.
--disable-sa-launcher Drops support for the NPAPI plugin writing of
standalone executable launcher scripts for the
currently playing SWF movie to /tmp.
--enable-cygnal Enable building of the Cygnal server
--enable-cgibins Enable building of the CGIs for Cygnal
--enable-i810-lod-bias Enable fix for Intel 810 LOD bias problem
--enable-sdkinstall Enable installing the libraries and headers as an
SDK
--enable-gui= Use the specified GUI toolkit (default=gtk,kde3)
--enable-renderer=agg|ogl|cairo
Use the specified renderer (default=agg)
--enable-sound=sdl|ahi
Use the specified sound handler (default=sdl)
--enable-media=handler Enable media handling support using the specified
handler: gst, ffmpeg or none (no sound) [gst]
--enable-lirc Disable support for Lirc
--enable-extensions= Specify which extensions to build
--enable-static[=PKGS] build static libraries [default=no]
--enable-shared[=PKGS] build shared libraries [default=yes]
--enable-fast-install[=PKGS]
optimize for fast installation [default=yes]
--disable-libtool-lock avoid locking (might break parallel builds)
--enable-ltdl-install install libltdl
--enable-ssh Enable using SSH for network authentication
--enable-ssl Enable using OpenSSL directly
--disable-glext Disable support for GTK OpenGL extension
--disable-kparts3 Disable support for Konqueror 3.x plugin (default:
enabled if kde3 gui is)
--disable-kparts4 Disble support for Konqueror 4.x plugin (default:
enabled if kde4 gui is)
--disable-npapi Disable NPAPI plugin build (default: enabled if gtk
or kde4 gui is)
--disable-plugins Disable all browser plugins from building
(default=no)
--enable-xpcom Enable xpcom support in NPAPI plugin
--enable-http-testsuite=<baseurl>
Enable http based testsuite (default url is
http://www.gnashdev.org/testcases&#41;
--enable-red5-testing=<host>
Enable red5 based testing (default host is
localhost)
--enable-ghelp Enable support for the GNOME help system
--enable-docbook Enable support for building documentation with "make
html" and "make pdf"
--enable-visibility Use ELF visibility attributes
--enable-strict Accept only standards compliant code (GCC only)
--disable-cassert Disable assertion checking

Optional Packages:
--with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
--without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
--with-gnu-ld assume the C compiler uses GNU ld [default=no]
--with-libiconv-prefix[=DIR] search for libiconv in DIR/include and DIR/lib
--without-libiconv-prefix don't search for libiconv in includedir and libdir
--with-libintl-prefix[=DIR] search for libintl in DIR/include and DIR/lib
--without-libintl-prefix don't search for libintl in includedir and libdir
--with-top-level top level directory for cross compiling files
--sysroot system root directory for cross compiling
--with-soldir directory for .sol files
--with-lckey shared memory key for your system
--with-cpu specify a cpu when cross compiling.
--with-shm specify a shared memory type.
--with-classfile= Text file with the list of ActionScript classes to
build. Default is build all
--with-pixelformat= Use the specified pixel format for AGG (default=all)
--with-pic try to use only PIC/non-PIC objects [default=use
both]
--with-included-ltdl use the GNU ltdl sources included here
--with-ltdl-include=DIR use the ltdl headers installed in DIR
--with-ltdl-lib=DIR use the libltdl.la installed in DIR
--with-statistics= Specify which statistics features to enable
--with-security= Specify which security features to enable
--with-python-incl directory where libpython header is (w/out the
python/ prefix)
--with-python-lib directory where python library is
--with-dbus-incl directory where libdbus header is
--with-dbus-lib directory where dbus library is
--with-mysql-incl directory where mysql headers are
--with-mysql-lib directory where mysql libraries are
--with-ssh-incl directory where libssh/libssh.h is
--with-ssh-lib directory where ssh library is
--with-cert cert file for SSL
--with-pe pem file for SSL
--with-ssl-incl directory where openssl/ssl.h is
--with-ssl-lib directory where ssl library is
--with-gtk2-incl directory where libgtk2 header is
--with-gtk2-lib directory where gtk2 library is
--with-pango-incl directory where libpango header is
--with-pango-lib directory where pango library is
--with-atk-incl directory where atk/atk.h is
--with-atk-lib directory where atk library is
--with-glext-incl directory where libglext header is
--with-glext-lib directory where gtkglext library is
--with-cairo-incl directory where cairo.h is
--with-cairo-lib directory where cairo library is
--with-hildon-incl directory where libhildon header is
--with-hildon-lib directory where hildon library is
--with-plugins-install=system|user|prefix
Policy for plugins install. Default: user.
--with-npapi-install=system|user|prefix
Policy for NPAPI plugin install. Default: user.

--with-npapi-plugindir=DIR
Directory to install NPAPI plugin in
--with-xpcom-incl directory where XPCOM headers are
--with-xpcom-sdk-dir directory where XPCOM SDK is
--with-nspr-incl directory where NSPR headers are
--with-nspr-lib directory where NSPR libraries are
--with-x11-incl Directory where x11 header is
--with-x11-lib directory where x11 library is
--with-nspr-incl directory where nspr.h is
--with-nspr-lib directory where nspr library is
--with-z-incl directory where zlib.h is
--with-z-lib directory where z library is
--with-jpeg-incl directory where jpeglib.h is
--with-jpeg-lib directory where jpeg library is
--with-png-incl directory where png.h is
--with-png-lib directory where png library is
--with-gif-incl directory where gif_lib.h is
--with-gif-lib directory where gif library is
--with-ungif-incl directory where gif_lib.h is
--with-ungif-lib directory where ungif library is
--with-dejagnu-incl directory where dejagnu.h is
--with-speex-incl directory where speex.h is
--with-speex-lib directory where speex library is
--with-speexdsp-incl directory where speex_resampler.h is
--with-speexdsp-lib directory where speexdsp library is
--with-freetype-incl directory where libfreetype header is (w/out the
freetype/ prefix)
--with-freetype-lib directory where freetype library is
--with-fontconfig-incl directory where fontconfig/fontconfig.h is
--with-fontconfig-lib directory where fontconfig library is
--with-ming=<ming-config> Path to the ming-config command
--with-ming-incl Directory where Ming header is
--with-ming-lib directory where ming library is
--with-swfdec-testsuite directory where swfdec testsuite (the 'test' dir) is
--with-swfmill=<path> Path to the swfmill executable
--with-mtasc=<path> Path to the mtasc executable
--with-mtasc-classpath=<path>
CLASSPATH for mtasc
--with-haxe=<path> Path to the haxe executable
--with-haxe-classpath=<path>
CLASSPATH for haxe
--with-sdl-incl directory where sdl header is
--with-sdl-lib directory where sdl library is
--with-qt3-incl directory where QT 3.x headers are
--with-qt3-lib directory where QT 3.x libraries are
--with-kde3-incl directory where KDE 3.x headers are
--with-kde3-prefix Prefix for KDE plugin, like /usr
--with-kde3-lib directory where KDE 3.x libraries are
--with-kde3-plugindir=DIR
Directory to install KDE 3.x plugin in
--with-kde3-servicesdir=DIR
Directory to install KDE 3.x plugin in
--with-kde3-configdir=DIR
Directory to install KDE 3.x configfile in
--with-kde3-appsdatadir=DIR
Directory to install KDE 3.x data in
--with-qt4-incl directory where QT 3.x headers are
--with-qt4-lib directory where QT 4.x libraries are
--with-kde4-incl directory where KDE 4.x headers are
--with-kde4-prefix Prefix for KDE plugin, like /usr
--with-kde4-lib directory where KDE 4.x libraries are
--with-kde4-plugindir=DIR
Directory to install KDE 4.x plugin in
--with-kde4-servicesdir=DIR
Directory to install KDE 4.x plugin in
--with-kde4-configdir=DIR
Directory to install KDE KDE 4.x configfile in
--with-kde-appsdatadir=DIR
Directory to install KDE 4.x data in
--with-glib-incl directory where libglib header is
--with-glib-lib directory where glib library is
--with-opengl-includes directory where OpenGL headers are
--with-opengl-lib directory where OpenGL libraries are
--with-Xft-incl directory where Xft.h is
--with-Xft-lib directory where Xft library is
--with-expat-incl directory where expat.h is
--with-expat-lib directory where expat library is
--with-gstreamer_plugins_base-incl
directory where gst/interfaces/probeprobe.h is
--with-gstreamer_plugins_base-lib
directory where gstreamer_plugins_base library is
--with-gstreamer_app-incl
directory where gst/app/gstappsink.h is
--with-gstreamer_app-lib
directory where gstreamer_app library is
--with-gstreamer-incl directory where gst/gst.h is
--with-gstreamer-lib directory where gstreamer library is
--with-gstpbutils-incl directory where gst/pbutils/install-plugins.h is
--with-gstpbutils-lib directory where gstpbutils library is
--with-ffmpeg-incl directory where avcodec.h is
--with-ffmpeg-lib directory where ffmpeg libraries are
--with-fltk2-incl directory where fltk/FL_API.h is
--with-fltk2-lib directory where fltk2 library is
--with-agg-incl directory where AGG headers are
--with-agg-lib directory where AGG libraries are
--with-docbook-styles directory where Docbook stylesheets are
--with-curl-incl directory where libcurl header is (w/out the curl/
prefix)
--with-curl-lib directory where curl library is
--with-boost-incl directory where boost headers are
--with-boost-lib directory where boost libraries are

Some influential environment variables:
CC C compiler command
CFLAGS C compiler flags
LDFLAGS linker flags, e.g. -L<lib dir> if you have libraries in a
nonstandard directory <lib dir>
LIBS libraries to pass to the linker, e.g. -l<library>
CPPFLAGS C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
you have headers in a nonstandard directory <include dir>
CXX C++ compiler command
CXXFLAGS C++ compiler flags
CPP C preprocessor
CXXCPP C++ preprocessor
PKG_CONFIG path to pkg-config utility
PYGTK_CFLAGS
C compiler flags for PYGTK, overriding pkg-config
PYGTK_LIBS linker flags for PYGTK, overriding pkg-config

Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.

_________________
Desarrollo en Qt: Qt Developer Network
Mis proyectos: github | SourceForge.net

 Perfil WWW  

Desconectado
Forista Ancestral
Forista Ancestral
Avatar de Usuario

Registrado: Mié Ago 09, 2006 7:00 am
Mensajes: 4532
Ubicación: Táchira - Venezuela

Nota Publicado: Lun Jul 05, 2010 9:22 am 
Arriba  
sobre los videos, pues solo tome el primero que vi, la compilacion fue con las siguientes USE: agg cairo dbus ffmpeg gstreamer gtk mysql nls nsplugin opengl python sdl ssl.

_________________
Linux User #432922 ~ Linux Machine #390497
Gentoo 13.0 | ~amd64 | i3 improved | Github | dotfiles | Identi.ca | Twitter
irc.freenode.net | /join #gnu/linuxOS

 Perfil  

Desconectado
Forista Mayor
Forista Mayor
Avatar de Usuario

Registrado: Lun Ago 01, 2005 7:00 am
Mensajes: 610
Ubicación: /home/Santiago_Chile

Nota Publicado: Sab Sep 04, 2010 6:18 am 
Arriba  
La gente de Gnash ha hecho un gran trabajo, según entiendo, actualmente en su última versión, Gnash 0.8.8, persiste el problema del consumo de CPU, pero no saben donde se produce ese problema... aparte, están buscando una manera de usar un motor de JS para correr el AS, eso es interesante, ya que según sé, la gente de Adobe utiliza el motor de Mozilla, SpiderMonkey para correr el servidor de Flash por el lado del servidor... interesante no?....

_________________
Maximi89
usuario #396576

 Perfil WWW  

Desconectado
Forista Ancestral
Forista Ancestral
Avatar de Usuario

Registrado: Mié Ago 09, 2006 7:00 am
Mensajes: 4532
Ubicación: Táchira - Venezuela

Nota Publicado: Sab Sep 04, 2010 1:04 pm 
Arriba  
seun lei el consumo de recursos se da es porque el codigo no esta muy que digamos le shace falta depurar el codigo fuente para ir solucionando este problema de grandes consumos poco a poco

_________________
Linux User #432922 ~ Linux Machine #390497
Gentoo 13.0 | ~amd64 | i3 improved | Github | dotfiles | Identi.ca | Twitter
irc.freenode.net | /join #gnu/linuxOS

 Perfil  

Desconectado
Forista Legendario
Forista Legendario
Avatar de Usuario

Registrado: Vie Abr 27, 2007 7:00 am
Mensajes: 1905

Nota Publicado: Sab Sep 04, 2010 4:43 pm 
Arriba  
Según el reporte del bug:

https://savannah.gnu.org/bugs/?26718

Se debe a que tenes que tener instalado el swfdec.

Editado -- Sab Sep 04, 2010 11:43 am --

Actualizado el script de instalación :D

_________________
Desarrollo en Qt: Qt Developer Network
Mis proyectos: github | SourceForge.net

 Perfil WWW  

Desconectado
Forista Medio
Forista Medio
Avatar de Usuario

Registrado: Sab Jun 12, 2010 12:08 am
Mensajes: 241

Nota Publicado: Sab Sep 04, 2010 5:58 pm 
Arriba  
ok muchas gracias por el tuto.
Cuando me esté (ya suele ser comun esta frase) lo pruebo y comento.
A marcadores.

saludos

_________________
# 455885
No sea idiota, por favor culturícese.

 Perfil  

Desconectado
Administrador
Administrador
Avatar de Usuario

Registrado: Lun Abr 19, 2010 12:30 am
Mensajes: 3888
Ubicación: En una de las nalgas del culo del mundo (según la Bersuit Vergarabat)

Nota Publicado: Sab Sep 04, 2010 7:14 pm 
Arriba  
@hipersayan_x gracias por el aporte muy bueno por cierto ;)

_________________
Los programadores de verdad no documentan. La documentación es para los idiotas que no pueden leer un volcado de memoria.

Trusted Network and Developer | Lee el Reglamento !! |WIKI-EL | Twitter @mr_mcun
Debian + TTY | ArchLinux + awesome | openSUSE + Gnome-Shell | Linux User #508809

 Perfil WWW  

Desconectado
Forista Ancestral
Forista Ancestral
Avatar de Usuario

Registrado: Mié Ago 09, 2006 7:00 am
Mensajes: 4532
Ubicación: Táchira - Venezuela

Nota Publicado: Sab Sep 04, 2010 8:48 pm 
Arriba  
hipersayan_x escribió:
Según el reporte del bug:

https://savannah.gnu.org/bugs/?26718

Se debe a que tenes que tener instalado el swfdec.

Editado -- Sab Sep 04, 2010 11:43 am --

Actualizado el script de instalación :D


aca dejo una captura http://imagebin.ca/view/AmbV4Ar.html consume casi lo mismo está entre 42 y 48% de cpu, por cierto deberian de poner este post como post it y editar el titulo que solo diga "instalando gnash ....." sin el numero de version

_________________
Linux User #432922 ~ Linux Machine #390497
Gentoo 13.0 | ~amd64 | i3 improved | Github | dotfiles | Identi.ca | Twitter
irc.freenode.net | /join #gnu/linuxOS

 Perfil  

Desconectado
Forista Legendario
Forista Legendario
Avatar de Usuario

Registrado: Vie Abr 27, 2007 7:00 am
Mensajes: 1905

Nota Publicado: Sab Sep 04, 2010 11:38 pm 
Arriba  
johpunk escribió:
aca dejo una captura http://imagebin.ca/view/AmbV4Ar.html consume casi lo mismo está entre 42 y 48% de cpu, por cierto deberian de poner este post como post it y editar el titulo que solo diga "instalando gnash ....." sin el numero de version


A pedir de boca :D (lo del post it lo tiene que hacer un admin).
También estaba viendo uno que se llama LightSpark, que es otro flashplayer libre, voy a probar haber que onda.

_________________
Desarrollo en Qt: Qt Developer Network
Mis proyectos: github | SourceForge.net

 Perfil WWW  

Desconectado
Forista Mayor
Forista Mayor
Avatar de Usuario

Registrado: Lun Ago 01, 2005 7:00 am
Mensajes: 610
Ubicación: /home/Santiago_Chile

Nota Publicado: Sab Sep 04, 2010 11:59 pm 
Arriba  
según me explicaron, AGG es el renderizador por defecto que utiliza Gnash, este se encarga de los vectores de las imágenes, dicen que es el más óptimo.
GST son los Codecs de Audio y Video, ellos se encargan de todo lo que tiene que ver, cómo entender el video y el audio, simple.
además hay que ver lo más importante, el libcore, que son las librerías encargadas de el Flash VM en sí, ahí es donde se produce todo el leseo sobre el consumo de la CPU, según dijeron esa es la parte peligrosa que tienen... así que todos los que quieran cooperar, pueden descargar el código, reportar bugs, corregirlos, pero todo en C++ :D

cuantos de ustedes pueden cooperar con este gran proyecto? :D

Editado -- 09pmx59095989 --

La gente de LightSpark están trabajando en conjunto con Gnash ya que Gnash soporta AVM1 y LightSpark AVM2, eso es según entiendo.
en cambio SWFDEC, está esctiro en C, y es totalmente diferente, algo por el estilo era la razón por la que no pueden tomar aportes de ese código.

_________________
Maximi89
usuario #396576

 Perfil WWW  

Desconectado
Forista Ancestral
Forista Ancestral
Avatar de Usuario

Registrado: Mié Ago 09, 2006 7:00 am
Mensajes: 4532
Ubicación: Táchira - Venezuela

Nota Publicado: Dom Sep 05, 2010 1:22 am 
Arriba  
acabo de probar el lightspark pero no funciona, aunque al terminar de instalarlo me decia algo sobre gnash, como que pueden trabajar en conjunto algo asi.

_________________
Linux User #432922 ~ Linux Machine #390497
Gentoo 13.0 | ~amd64 | i3 improved | Github | dotfiles | Identi.ca | Twitter
irc.freenode.net | /join #gnu/linuxOS

 Perfil  
Mostrar mensajes previos:  Ordenar por  
 [ 23 mensajes ]  Ir a página 1, 2  Siguiente
Nuevo tema Responder al tema

Saltar a:  


 Temas relacionados   Autor   Respuestas   Vistas   Último mensaje 
gnash 0.8.8 debian testing 6

en Software

Treto

4

383

Jue Dic 09, 2010 1:55 pm

niky45 Ver último mensaje

GNU Gnash o flash para 64 bits?

en Software

ewaloe

1

1210

Sab Feb 03, 2007 2:22 pm

djtv Ver último mensaje

infierno con el flashplayer en chromium

en Software

jsskorp11

2

79

Lun Sep 12, 2016 6:32 am

jsskorp11 Ver último mensaje

Iceweasel y flashplayer? Ayudadme please.

en Software

Lincoln

2

743

Mar Feb 24, 2009 2:27 am

Lincoln Ver último mensaje

Gnash: flash player libre y con soporte 64 bits

en Software

niky45

14

4295

Mar Mar 25, 2008 11:52 pm

Sagman Ver último mensaje



¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 0 invitados

No puede abrir nuevos temas en este Foro
No puede responder a temas en este Foro
No puede editar sus mensajes en este Foro
No puede borrar sus mensajes en este Foro
No puede enviar adjuntos en este Foro

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group :: Style based on FI Subice by phpBBservice.nl :: Todos los horarios son UTC + 1 hora [ DST ]
Traducción al español por Huan Manwë
phpBB SEO